org.springframework.aop.config

## Class AdviceEntry

- java.lang.Object
- - org.springframework.aop.config.AdviceEntry

All Implemented Interfaces:
  ParseState.Entry

    public class AdviceEntry
    extends Object
    implements ParseState.Entry

`ParseState` entry representing an advice element.

Since:
  2.0
Author:
  Mark Fisher

### Constructor Summary

Constructors
Constructor and Description
`AdviceEntry(String kind)` Creates a new instance of the `AdviceEntry` class.

### Method Summary

Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AdviceEntry

    public AdviceEntry(String kind)

Creates a new instance of the `AdviceEntry` class.

Parameters:
  `kind` - the kind of advice represented by this entry (before, after, around, etc.)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`